cURL
curl -X PUT https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Webhook",
"url": "https://example.com/webhook-v2"
}'const webhookId = 'WEBHOOK_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}`,
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Webhook',
url: 'https://example.com/webhook-v2'
})
}
);
const data = await response.json();import requests
webhook_id = 'WEBHOOK_ID'
response = requests.put(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}',
headers={'Authorization': 'YOUR_API_KEY'},
json={
'name': 'Updated Webhook',
'url': 'https://example.com/webhook-v2'
}
)
data = response.json()
{
"data": {
"id": 123,
"name": "<string>",
"url": "<string>",
"isActive": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Webhooks
Update webhook
Update webhook information.
PUT
/
api
/
v2
/
orders
/
webhooks
/
{webhookId}
cURL
curl -X PUT https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Webhook",
"url": "https://example.com/webhook-v2"
}'const webhookId = 'WEBHOOK_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}`,
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Webhook',
url: 'https://example.com/webhook-v2'
})
}
);
const data = await response.json();import requests
webhook_id = 'WEBHOOK_ID'
response = requests.put(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}',
headers={'Authorization': 'YOUR_API_KEY'},
json={
'name': 'Updated Webhook',
'url': 'https://example.com/webhook-v2'
}
)
data = response.json()
{
"data": {
"id": 123,
"name": "<string>",
"url": "<string>",
"isActive": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Authorizations
API Key for external client access
Path Parameters
Webhook ID
Body
application/json
⌘I